<template>
  <div>
    <div class="container main">

      <div class="row">
        <div class="col-12">

          <div v-if="$i18n.locale === 'ru'">
            <img src="@/static/assets/images/contacts.svg" class="img-fluid" alt="">
          </div>
          <div v-if="$i18n.locale === 'uz'">
            <img src="@/static/assets/images/contactsUz.svg" class="img-fluid" alt="">
          </div>
          <div v-if="$i18n.locale === 'eng'">
            <img src="@/static/assets/images/contactsENG.svg" class="img-fluid" alt="">
          </div>
        </div>
      </div>

      <form>
        <div class="row">
          <div class="col-12 d-flex flex-column ">
            <label for="name-of-company">{{ $t("name_of_your_company") }}</label>
            <input type="text" id="name-of-company" autocomplete="none" :placeholder="$t('company')">
          </div>
          <div class="col-6 d-flex flex-column">
            <label class="tel_and_purpose" for="addres-of-company">{{ $t("site_of_company") }}</label>
            <input type="text" id="addres-of-company" autocomplete="none" placeholder="example.uz">
          </div>
          <div class="col-6 d-flex flex-column ">
            <label class="tel_and_purpose" for="name-and-surname">{{ $t("name_and_surname") }}</label>
            <input type="text" id="name-and-surname" autocomplete="none" :placeholder="$t('name_surname')">
          </div>
          <div class="col-6 d-flex flex-column">
            <label class="tel_and_purpose" for="links-of-socials">{{ $t("socilals_of_company") }}</label>
            <input type="text" id="links-of-socials" autocomplete="none" :placeholder="$t('new_link')">

          </div>
          <div class="col-6 d-flex flex-column">
            <label class="tel_and_purpose" for="telephone">{{ $t("contact_tel") }}</label>
            <div class="phoneInput">
              <input type="text" id="telephone" v-mask="' ## ###-##-##'" v-model="myInputModel"
                     placeholder=" 99 123 45 67">
            </div>
          </div>

          <div class="col-12 d-flex flex-column">
            <label class="tel_and_purpose" for="">{{ $t("purpose") }}</label>
            <textarea name="purpose" :placeholder="$t('new_problem')" autocomplete="off" id=""
                      cols="30" rows="8">
            </textarea>
          </div>

          <div class="col-12 text-right">
            <button>{{ $t("send") }}</button>
          </div>
        </div>
      </form>

      <div style="margin-top: 60px!important;">
        <div class="row contacts">
          <div class="offset-md-1">
          </div>
          <div class="col-12 col-md-10 d-flex justify-content-between">
            <div>
              <h6>{{ $t("email") }}</h6>
              <p class="text">info@wedigital.uz</p>
            </div>
            <div>
              <h6>{{ $t("location") }}</h6>
              <p class="text" v-html="$t('address_contacts')">
              </p>
            </div>
            <div>
              <h6>{{ $t("tel") }}</h6>
              <p class="text">+998 99 444 66 64</p>
            </div>
          </div>
        </div>
      </div>

      <div class="map">
        <div class="container">
          <h1>{{ $t('whereLocate') }}</h1>
          <div class="div">
            <yandex-map :coords="[ 41.33149135615286, 69.26888361623753]" class="map" v-if="showMap">
              <ymap-marker markerId="123" marker-type="placemark" hint-content="Alpha Business Center"
                           :coords="[41.33149135615286, 69.26888361623753]"
                           :balloon-template="balloonTemplate"></ymap-marker>
            </yandex-map>
          </div>
        </div>
      </div>
    </div>
    <div class="container slide_logo">
      <slider-partners/>
    </div>
  </div>
</template>

<script>

export default {

  data() {
    return {
      myInputModel: '',
      showMap: false,
    }

  },
  mounted() {
    this.showMap = true
  },
}
</script>
<style lang="scss">

@media screen and (max-width: 576px) {

  .phoneInput:before {
    font-size: 12px!important;
    top: 10px !important;
  }
}

@media screen and (max-width: 767px) {
  .phoneInput:before {
    top: 8px !important;
    font-size: 18px!important;

  }
}
@media screen and (max-width: 991px){
  .phoneInput:before {
    top: 17px ;
  }
}

.phoneInput {
  max-width: 100%;
  position: relative;
  font-family: Montserrat;
  font-style: normal;
  font-weight: normal !important;
  font-size: 24px;
  line-height: 155.9%;
  color: #FFFFFF;

  &:before {
    content: '+998';
    position: absolute;
    left: 13px;
    top: 16px;
    color: #00A5FF;
    height: 16px;
    width: 40px;
    font-family: Montserrat;
    font-style: normal;
    font-weight: normal;
    font-size: 24px;
    line-height: 155.9% !important;
    color: #FFFFFF;

  }

  input {
    padding: 12px 0 12px 75px !important;
    font-family: Montserrat;
    font-style: normal;
    font-weight: normal;
    font-size: 24px;
    line-height: 155.9% !important;
    color: #FFFFFF;

    &::placeholder {
      color: #B7C0CF;
    }

  }


}

.map {
  padding-top: 50px;

  * {
    padding: 0;
    margin: 0;
    background-image: none;

  }

  h1 {
    font-family: Montserrat;
    font-style: normal;
    font-weight: bold;
    font-size: 24px;
    line-height: 21px;
    letter-spacing: -0.45px;
    color: #FFFFFF;
    padding-bottom: 20px;

  }

  img {
    width: 100%;
  }
}

.ymap-container {
  height: 600px;
}

@media (max-width: 767px) {
  .ymap-container {
    height: 320px;
  }
}
</style>
<style lang="scss" scoped>
.main {
  padding-top: 230px;
  padding-bottom: 120px;
}

.contacts h6 {
  font-style: normal;
  font-weight: bold;
  font-size: 24px;
  line-height: 155.9%;
  color: #FFFFFF;
}

.contacts p {
  font-style: normal;
  font-weight: normal;
  font-size: 24px;
  line-height: 155.9%;
  color: #FFFFFF;
  opacity: 0.5;
  margin-bottom: 120px;
  font-weight: 300;
}

form {
  margin-top: 64px;

  button {
    width: 384px;
    height: 64px;
    background: transparent;
    border: 1px solid white;
    border-radius: 4px;
    font-style: normal;
    font-weight: 500;
    font-size: 24px;
    line-height: 29px;
    text-align: center;
    color: #FFFFFF;
    margin-top: 32px;
    transition: 0.5s all;

    &:hover {
      background: #81007F;

    }
  }
}

form label {
  font-style: normal;
  font-weight: bold;
  font-size: 24px;
  line-height: 155.9%;
  color: #FFFFFF;
  margin-bottom: 12px;

}


form input {
  height: 69px;
  padding: 16px 24px 16px 24px;
  background: #141311;
  border: 1px solid #ffffff;
  border-radius: 4px;
  //font-weight: bold;
  font-size: 24px;
  line-height: 155.9%;
  color: #FFFFFF;
}

.tel_and_purpose {
  margin-top: 32px;
}

form input::placeholder {
  font-style: normal;
  font-weight: normal;
  font-size: 24px;
  line-height: 155.9%;
  color: #FFFFFF;
  opacity: 0.2;
}

form textarea {
  padding: 16px 24px 16px 24px;
  background: #141311;
  border: 1px solid #ffffff;
  border-radius: 4px;
  font-weight: bold;
  font-size: 24px;
  line-height: 155.9%;
  color: #FFFFFF;
}


form textarea::placeholder {
  font-style: normal;
  font-weight: normal;
  font-size: 24px;
  line-height: 155.9%;
  color: #FFFFFF;
  opacity: 0.2;
}

@media screen and (max-width: 991px) {
  .contacts h6 {
    font-size: 20px;
    text-align: center;
  }

  form {
    button {
      width: 300px;
      height: 60px;
    }
  }


  h2 {
    font-size: 25px;
  }

  .row h2 svg {
    width: 42px;
  }


  form label {
    font-size: 22px;
  }

  form input::placeholder {
    font-size: 20px;
  }
}

@media screen and (max-width: 768px) {

  form {
    button {
      font-size: 19px;
      margin-top: 124px;
      width: 160px;
      height: 46px;
      font-weight: 500;
      letter-spacing: 0.5px;
    }
  }

  .main {
    padding-top: 120px;
    padding-bottom: 32px;
  }

  .contacts h6 {
    font-size: 19px;
    font-weight: 500;
    text-align: center;
  }

  .contacts p {
    font-size: 14px !important;
    margin-bottom: 40px;
  }

  .row h2 {
    font-size: 20px !important;
  }

  .row h2 svg {
    width: 35px;
  }


  form label {
    font-size: 15px;
  }

  form input::placeholder {
    font-size: 15px;
  }

  form input {
    height: 40px;
    padding: 10px;
  }

  form textarea::placeholder {
    font-size: 15px;

  }

  form input {
    font-size: 15px;
  }

  form textarea {
    font-size: 15px;
    padding: 7px;
    margin-bottom: -100px;
  }

}

@media screen and (max-width: 576px) {
  .contacts h6 {
    font-size: 12px;
    font-weight: 500;
    text-align: center;
  }

  form {
    button {
      font-size: 9px;
      margin-top: 112px;
      width: 73px;
      height: 33px;
      font-weight: 500;
      letter-spacing: 0.5px;
    }
  }

  .contacts p {
    font-size: 10px;
    margin-bottom: 40px;
  }


  .row h2 {
    font-size: 15px;
  }

  .row h2 svg {
    width: 28px;
  }


  form label {
    font-size: 9px;
  }

  form input::placeholder {
    font-size: 10px;
  }

  form input {
    height: 25px;
    padding-top: 5px;
  }

  form input {
    font-size: 10px;
  }

  form textarea {
    font-size: 10px;
    padding: 7px;
  }

  form textarea::placeholder {
    font-size: 10px;

  }
}
</style>
